I currently have a MacBook with Mac OS X Version 10.5.6, is there any way to just upgrade to 10.5.8 so I can download and run Safari 4?

I plan to eventually make the switch to Snow Leopard, but I'm really just looking for a quick fix right now. I got a new iPod Touch and I need safari 4 for it to let me sync my pictures.

Back To Product

Follow this Question

1 Answer from the Community

  • Safari 4 should be able to run on OS X 10.5.6 I'm in Safari 4 now.

    Try Software Update

    Was this useful? Answer 1

    6 of 12 people found this useful

Related Questions